QGIS Application - Feature request #3263
QgsLegendlinterface.addGroup() nests all groups
2010-11-29 01:25 AM - Anita Graser

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Legend

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13323
Description

The following code adds four groups to the legend. Unfortunately they're all nested while the goal would be to put them into legend root:

i = ggis.utils.iface

| = i.legendinterface()

groupAnnotation = l.addGroup("Annotation",False)
groupDimensioning = l.addGroup("Dimensioning", True)
groupLocation = l.addGroup("Location", True)
groupTopo = l.addGroup("Topo", True)

Compare: http://forum.qgis.org/viewtopic.php?f=5&#38;t=7583

History

#1 - 2011-03-15 06:03 AM - Marco Bernasocchi

I m dealing with the same problem in my multiview plugin (

https://issues.qgis.org/projects/multiview/repository/revisions/master/entry/temporalrasterloaderdialog.py) and i noticed that if i create a group and then

load a layer the groups get created at the end of the list (look for the hack in the link). So maybe it is a more complex issue/bug.

#2 - 2011-03-22 08:39 AM - Marco Hugentobler

Applied in commit:855601c3 (SVN r15562). Thanks!

#3 - 2011-03-22 11:56 AM - Borys Jurgiel

- Resolution set to fixed
- Status changed from Open to Closed

| believe it can be closed now.

#4 - 2011-03-24 05:18 PM - Marco Bernasocchi
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

#5 - 2011-03-24 05:22 PM - Borys Jurgiel
http://forum.qgis.org/viewtopic.php?f=5&#38;t=7583
https://issues.qgis.org/projects/multiview/repository/revisions/master/entry/temporalrasterloaderdialog.py

applied in commit:bf9e9d54 (SVN r15595)

#6 - 2011-03-24 05:22 PM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Feedback to Closed

#7 - 2011-04-19 06:32 AM - Marco Bernasocchi

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

the patch applied was an incomplete one... missunderstanding between Marcos :) here the patch to the patch
ciao

#8 - 2011-04-19 07:01 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Feedback to Closed

Applied in with two small modifications:
-added missing return statement in addGroupToCurrentltem()
-removed debug msg

#9 - 2011-04-19 07:02 AM - Marco Bernasocchi

ups... :|

#10 - 2011-04-20 04:55 AM - Marco Bernasocchi
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

added python bindings. it supports only nesting into a top level element like removeGroup. we should think of a more flexible solution.

#11 - 2011-04-21 12:06 AM - Marco Hugentobler

Yes, all these group functions with int indices come frome the pre-multiple nesting time. It would probably be better to do a bit of interface redesign for both
[[QgsLegend]] and [[QgsLegendInterface]] after 1.7 (maybe working with QTreeWidgetltems)

#12 - 2011-04-21 12:15 AM - Marco Bernasocchi

Replying to [comment:13 mhugent]:

Yes, all these group functions with int indices come frome the pre-multiple nesting time. It would probably be better to do a bit of interface redesign
for both [[QgsLegend]] and [[QgsLegendInterface]] after 1.7 (maybe working with QTreeWidgetltems)
True, once done with my master we can have a look at it. will you still apply the patch?

#13 - 2011-04-21 12:44 AM - Marco Hugentobler
- Status changed from Feedback to Closed
- Resolution set to fixed

Yes, applied in commit:08853323 (SVN r15788)

Files

bug3263fix.diff 5.41 KB 2011-03-22 Marco Bernasocchi
bug3263fix.patch 1 Byte 2011-03-22 Marco Bernasocchi
bug3263docFix.diff 538 Bytes 2011-03-24 Marco Bernasocchi
bug3263_addGroupNesting.diff 247 KB 2011-04-19 Marco Bernasocchi
addGroupNestingPython.diff 4.16 KB 2011-04-20 Marco Bernasocchi
